Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 2801593002: Convert WaitableEvent::EventCallback to OnceCallback (Closed)

Created:
3 years, 5 months ago by tzik
Modified:
3 years, 5 months ago
Reviewers:
Tom Sepez, msramek, dcheng
CC:
chromium-reviews, msramek+watch_chromium.org, sadrul, vmpstr+watch_chromium.org, jam, darin-cc_chromium.org, danakj+watch_chromium.org, markusheintz_
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert WaitableEvent::EventCallback to OnceCallback This CL converts WaitableEvent::EventCallback to base::OnceCallback from base::Callback. The non-trivial part is in IPC code. It's called only once anyway, but it has been cancelled and copied there. BUG=554299 TBR=msramek@chromium.org Review-Url: https://codereview.chromium.org/2801593002 Cr-Commit-Position: refs/heads/master@{#465128} Committed: https://chromium.googlesource.com/chromium/src/+/130cfd0cd29bdf5edba20601b496749fd954688f

Patch Set 1 #

Patch Set 2 : win fix #

Patch Set 3 : . #

Patch Set 4 : fix #

Patch Set 5 : test #

Total comments: 6

Patch Set 6 : +#include <utility> #

Unified diffs Side-by-side diffs Delta from patch set Stats (+51 lines, -42 lines) Patch
M base/message_loop/message_pump_libevent_unittest.cc View 1 2 3 4 5 2 chunks +6 lines, -4 lines 0 comments Download
M base/synchronization/waitable_event_watcher.h View 1 2 3 4 3 chunks +3 lines, -3 lines 0 comments Download
M base/synchronization/waitable_event_watcher_posix.cc View 6 chunks +15 lines, -14 lines 0 comments Download
M base/synchronization/waitable_event_watcher_unittest.cc View 1 2 3 4 5 chunks +7 lines, -8 lines 0 comments Download
M base/synchronization/waitable_event_watcher_win.cc View 1 2 3 2 chunks +5 lines, -7 lines 0 comments Download
M chrome/browser/browsing_data/chrome_browsing_data_remover_delegate.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ipc/ipc_sync_channel.cc View 2 chunks +14 lines, -5 lines 0 comments Download

Messages

Total messages: 38 (29 generated)
tzik
PTAL to: dcheng: //base msramek: //chrome/browser/browsing_data tsepez: //ipc
3 years, 5 months ago (2017-04-14 18:28:56 UTC) #19
Tom Sepez
LGTM, although I can't prove it's 100% safe, hopefully the bots will ... https://codereview.chromium.org/2801593002/diff/80001/base/synchronization/waitable_event_watcher_posix.cc File ...
3 years, 5 months ago (2017-04-14 18:49:55 UTC) #20
dcheng
https://codereview.chromium.org/2801593002/diff/80001/base/message_loop/message_pump_libevent_unittest.cc File base/message_loop/message_pump_libevent_unittest.cc (right): https://codereview.chromium.org/2801593002/diff/80001/base/message_loop/message_pump_libevent_unittest.cc#newcode264 base/message_loop/message_pump_libevent_unittest.cc:264: Unretained(watcher.get()), &event, std::move(write_fd_task))); Nit: #include <utility> https://codereview.chromium.org/2801593002/diff/80001/base/synchronization/waitable_event_watcher_posix.cc File base/synchronization/waitable_event_watcher_posix.cc ...
3 years, 5 months ago (2017-04-14 21:56:59 UTC) #23
tzik
https://codereview.chromium.org/2801593002/diff/80001/base/message_loop/message_pump_libevent_unittest.cc File base/message_loop/message_pump_libevent_unittest.cc (right): https://codereview.chromium.org/2801593002/diff/80001/base/message_loop/message_pump_libevent_unittest.cc#newcode264 base/message_loop/message_pump_libevent_unittest.cc:264: Unretained(watcher.get()), &event, std::move(write_fd_task))); On 2017/04/14 21:56:58, dcheng wrote: > ...
3 years, 5 months ago (2017-04-17 08:28:34 UTC) #26
dcheng
lgtm
3 years, 5 months ago (2017-04-18 01:06:55 UTC) #29
tzik
TBRing msramek for //chrome/browser/browsing_data change, since it's a trivial change. PTAL later.
3 years, 5 months ago (2017-04-18 03:45:03 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2801593002/100001
3 years, 5 months ago (2017-04-18 03:45:35 UTC) #34
commit-bot: I haz the power
Committed patchset #6 (id:100001) as https://chromium.googlesource.com/chromium/src/+/130cfd0cd29bdf5edba20601b496749fd954688f
3 years, 5 months ago (2017-04-18 03:50:04 UTC) #37
msramek
3 years, 5 months ago (2017-04-18 09:19:36 UTC) #38
Message was sent while issue was closed.
LGTM

Powered by Google App Engine
This is Rietveld 408576698